// GENERATED BY THE COMMAND ABOVE; DO NOT EDIT
// This file was generated by swaggo/swag

package docs

import (
	"bytes"
	"encoding/json"
	"strings"

	"github.com/alecthomas/template"
	"github.com/swaggo/swag"
)

var doc = `{
    "schemes": {{ marshal .Schemes }},
    "swagger": "2.0",
    "info": {
        "description": "{{.Description}}",
        "title": "{{.Title}}",
        "contact": {},
        "license": {},
        "version": "{{.Version}}"
    },
    "host": "{{.Host}}",
    "basePath": "{{.BasePath}}",
    "paths": {
        "/api/v1/application": {
            "get": {
                "description": "应用列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应用"
                ],
                "summary": "应用列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0不过滤,1已发布的 2 未发布的",
                        "name": "enable",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "编辑应用",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应用"
                ],
                "summary": "编辑应用",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加应用",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应用"
                ],
                "summary": "添加应用",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除应用",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应用"
                ],
                "summary": "删除应用",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "应用id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/application/enable": {
            "put": {
                "description": "发布和下架",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应用"
                ],
                "summary": "发布和下架",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationEnableSetBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationEnableSetResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/application/permissions": {
            "get": {
                "description": "应用的菜单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应用"
                ],
                "summary": "应用的菜单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "应用id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationPermissionsResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "给应用添加菜单",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应用"
                ],
                "summary": "给应用添加菜单",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationPermissionsSetBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationPermissionsSetResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/area/province_city_area": {
            "get": {
                "description": "省市区列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "区域"
                ],
                "summary": "省市区列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ProvinceCityAreaResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/area/street_committee": {
            "get": {
                "description": "街道社区列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "区域"
                ],
                "summary": "街道社区列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "区域代码",
                        "name": "area_code",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.StreetCommitteeResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/approve": {
            "put": {
                "description": "审核公司",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业公司"
                ],
                "summary": "审核公司",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "审批信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/free_garden": {
            "put": {
                "description": "修改配额",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业公司"
                ],
                "summary": "修改配额",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyChangeFreeGardenBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyChangeFreeGardenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/list": {
            "get": {
                "description": "公司列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业公司"
                ],
                "summary": "公司列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "公司名称",
                        "name": "company_name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0 所有 1 待审核 2 未通过 3 通过",
                        "name": "approve_status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/package": {
            "get": {
                "description": "套餐列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司套餐"
                ],
                "summary": "套餐列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "公司id（用于获取公司下的套餐）",
                        "name": "cid",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyPackageListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/register": {
            "post": {
                "description": "添加公司",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业公司"
                ],
                "summary": "添加公司",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "注册信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyRegisterBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyRegisterResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/wx_account": {
            "get": {
                "description": "微信商户申请记录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "微信商户申请记录",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyWxAccountListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/company/wx_account_info": {
            "get": {
                "description": "微信商户申请资料详情",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司"
                ],
                "summary": "微信商户申请资料详情",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "申请记录id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyWxAccountApplyInfoResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden": {
            "get": {
                "description": "小区列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "社区代码",
                        "name": "committee_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "街道代码",
                        "name": "street_code",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "小区名字",
                        "name": "garden_name",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "boolean",
                        "description": "true 待审批或未通过的数据 false 审批通过的数据",
                        "name": "not_approved",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "新增小区审核",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "新增小区审核",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "小区信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GardenApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/company": {
            "put": {
                "description": "小区更换物业公司",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区更换物业公司",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GardenChangeCompanyBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenChangeCompanyResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/enable": {
            "put": {
                "description": "启用停用",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "启用停用",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GardenEnableSetBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenEnableSetResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/garden/key_info": {
            "get": {
                "description": "小区关键信息申请列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区关键信息申请列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0不过率 1 待审核 2 审核通过 3 未通过 ",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenKeyInfoChangeListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "小区关键信息修改审核",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "小区"
                ],
                "summary": "小区关键信息修改审核",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "小区信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GardenKeyInfoApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenKeyInfoApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate": {
            "get": {
                "description": "门禁列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "小区id",
                        "name": "garden_id",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0 不过滤 1 已出库 2 未出库",
                        "name": "out",
                        "in": "query"
                    },
                    {
                        "type": "string",
                        "description": "设备sn",
                        "name": "sn",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "门禁删除",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁删除",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "设备id",
                        "name": "device_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/import": {
            "post": {
                "description": "门禁批量入库",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁批量入库",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateInResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/in": {
            "post": {
                "description": "门禁入库",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁入库",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GateInBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateInResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/out": {
            "put": {
                "description": "门禁出库",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁出库",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GateOutBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateOutResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/protocols": {
            "get": {
                "description": "门禁协议列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁协议列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateProtocolsResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/recovery": {
            "put": {
                "description": "门禁回收",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "门禁回收",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.GateRecoveryBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GateRecoveryResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/gate/template": {
            "get": {
                "description": "获取门禁模板",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "门禁"
                ],
                "summary": "获取门禁模板",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TemplateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/material": {
            "get": {
                "description": "素材列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业素材"
                ],
                "summary": "素材列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MaterialListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更改素材",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业素材"
                ],
                "summary": "更改素材",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.MaterialUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MaterialUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加素材",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业素材"
                ],
                "summary": "添加素材",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.MaterialAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MaterialAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除素材",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业素材"
                ],
                "summary": "删除素材",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": " ",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MaterialDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/material/enable": {
            "put": {
                "description": "发布或下架",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业素材"
                ],
                "summary": "发布或下架",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.MaterialEnableBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MaterialUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/msg_package": {
            "get": {
                "description": "套餐列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信套餐"
                ],
                "summary": "套餐列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MsgPackageListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "编辑套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信套餐"
                ],
                "summary": "编辑套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.MsgPackageUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MsgPackageUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信套餐"
                ],
                "summary": "添加套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.MsgPackageAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MsgPackageAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信套餐"
                ],
                "summary": "删除套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "套餐id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MsgPackageDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/order/application": {
            "get": {
                "description": "应用订单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应用订单"
                ],
                "summary": "应用订单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0不过滤,1待认证 2 已通过 3 未通过",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.GardenApplicationListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "应用订单审批",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "应用订单"
                ],
                "summary": "应用订单审批",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationOrderApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationOrderApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/order/application/amount": {
            "put": {
                "description": "应用订单改价",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐订单"
                ],
                "summary": "应用订单改价",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationOrderAmountBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationOrderAmountResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/order/msg_package": {
            "get": {
                "description": "短信订单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信订单"
                ],
                "summary": "短信订单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0不过滤,1待认证 2 已通过 3 未通过",
                        "name": "status",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MsgPackageOrderListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "短信订单审批",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "短信订单"
                ],
                "summary": "短信订单审批",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.MsgPackageOrderApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.MsgPackageOrderApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/order/package": {
            "get": {
                "description": "套餐订单列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐订单"
                ],
                "summary": "套餐订单列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0不过滤,1待认证 2 已通过 3 未通过",
                        "name": "status",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "公司id（用于获取公司下的套餐）",
                        "name": "cid",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.CompanyPackageListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "套餐订单审批",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐订单"
                ],
                "summary": "套餐订单审批",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderApproveBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderApproveResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "新增套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司套餐"
                ],
                "summary": "新增套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/order/package/amount": {
            "put": {
                "description": "套餐订单改价",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐订单"
                ],
                "summary": "套餐订单改价",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderAmountBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderAmountResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/order/renew": {
            "post": {
                "description": "套餐续费",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "公司套餐"
                ],
                "summary": "套餐续费",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderAddRenewBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageOrderAddRenewResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/package": {
            "get": {
                "description": "套餐列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐"
                ],
                "summary": "套餐列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "第几页，1为起始页, -1 不分页返回所有",
                        "name": "page",
                        "in": "query",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "每页条数,-1 不分页返回所有",
                        "name": "page_size",
                        "in": "query"
                    },
                    {
                        "type": "integer",
                        "description": "0不过滤,1已发布的 2 未发布的",
                        "name": "enable",
                        "in": "query"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "编辑套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐"
                ],
                "summary": "编辑套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PackageUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐"
                ],
                "summary": "添加套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PackageAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除套餐",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐"
                ],
                "summary": "删除套餐",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "套餐id",
                        "name": "id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/package/application": {
            "get": {
                "description": "套餐的应用列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐"
                ],
                "summary": "套餐的应用列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "套餐id",
                        "name": "package_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "给套餐添加应用",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐"
                ],
                "summary": "给套餐添加应用",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PackageApplicationSetBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageApplicationSetResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/package/application_can_add": {
            "get": {
                "description": "套餐还可添加的应用列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐"
                ],
                "summary": "套餐还可添加的应用列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "integer",
                        "description": "套餐id",
                        "name": "package_id",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.ApplicationListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/package/enable": {
            "put": {
                "description": "发布和下架",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "套餐"
                ],
                "summary": "发布和下架",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.PackageEnableSetBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.PackageEnableSetResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/system_permission": {
            "get": {
                "description": "权限节点列表",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业权限节点"
                ],
                "summary": "权限节点列表",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SystemPermissionListResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "put": {
                "description": "更改权限节点",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业权限节点"
                ],
                "summary": "更改权限节点",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "节点信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SystemPermissionUpdateBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SystemPermissionUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "post": {
                "description": "添加权限节点",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业权限节点"
                ],
                "summary": "添加权限节点",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "节点信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SystemPermissionAddBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SystemPermissionAddResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            },
            "delete": {
                "description": "删除权限节点",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业权限节点"
                ],
                "summary": "删除权限节点",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "string",
                        "description": "节点code",
                        "name": "code",
                        "in": "query",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SystemPermissionDelResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/system_permission/enable": {
            "put": {
                "description": "发布或下架",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "物业权限节点"
                ],
                "summary": "发布或下架",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": "节点信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.SystemPermissionEnableBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.SystemPermissionUpdateResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/token_refresh": {
            "put": {
                "description": "刷新token",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "刷新token",
                "parameters": [
                    {
                        "type": "string",
                        "description": "token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.TokenResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/upload": {
            "post": {
                "description": "上传文件",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "upload"
                ],
                "summary": "上传文件",
                "parameters": [
                    {
                        "type": "string",
                        "description": "jwt token",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "type": "file",
                        "description": "file",
                        "name": "file",
                        "in": "formData"
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.UploadResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/user/login": {
            "post": {
                "description": "登录",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "用户"
                ],
                "summary": "登录",
                "parameters": [
                    {
                        "description": "登录信息",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.LoginBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.LoginResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        },
        "/api/v1/wx/public/mini": {
            "post": {
                "description": "公众号添加小程序入口",
                "consumes": [
                    "application/json"
                ],
                "produces": [
                    "application/json"
                ],
                "tags": [
                    "微信相关"
                ],
                "summary": "公众号添加小程序入口",
                "parameters": [
                    {
                        "type": "string",
                        "description": " ",
                        "name": "token",
                        "in": "header",
                        "required": true
                    },
                    {
                        "description": " ",
                        "name": "body",
                        "in": "body",
                        "required": true,
                        "schema": {
                            "$ref": "#/definitions/v1.WxPublicAddMiniBody"
                        }
                    }
                ],
                "responses": {
                    "200": {
                        "description": "OK",
                        "schema": {
                            "$ref": "#/definitions/v1.WxPublicAddMiniResponse"
                        }
                    },
                    "500": {
                        "description": "Internal Server Error",
                        "schema": {
                            "$ref": "#/definitions/base.HTTPError"
                        }
                    }
                }
            }
        }
    },
    "definitions": {
        "base.HTTPError": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "integer",
                    "format": "int",
                    "example": 500
                },
                "message": {
                    "type": "string",
                    "example": "status bad request"
                }
            }
        },
        "v1.ApplicationAddBody": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "icon": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                }
            }
        },
        "v1.ApplicationAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ApplicationDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ApplicationEnableSetBody": {
            "type": "object",
            "properties": {
                "enable": {
                    "description": "true 发布 false 下架",
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.ApplicationEnableSetResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ApplicationItem": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "icon": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                }
            }
        },
        "v1.ApplicationListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ApplicationItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.ApplicationListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ApplicationListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ApplicationOrderAmountBody": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "order_id": {
                    "type": "integer"
                }
            }
        },
        "v1.ApplicationOrderAmountResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ApplicationOrderApproveBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "type": "string"
                },
                "order_id": {
                    "type": "integer"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "v1.ApplicationOrderApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ApplicationPermissionItem": {
            "type": "object",
            "properties": {
                "applete_path": {
                    "description": "小程序组件路径",
                    "type": "string"
                },
                "childs": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ApplicationPermissionItem"
                    }
                },
                "code": {
                    "type": "string"
                },
                "name": {
                    "description": "权限名字",
                    "type": "string"
                },
                "path": {
                    "description": "组件路径",
                    "type": "string"
                },
                "pcode": {
                    "description": "父code，若没有则填空",
                    "type": "string"
                },
                "router": {
                    "description": "路由",
                    "type": "string"
                },
                "selected": {
                    "description": "是否拥有该权限",
                    "type": "boolean"
                }
            }
        },
        "v1.ApplicationPermissionsReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ApplicationPermissionItem"
                    }
                }
            }
        },
        "v1.ApplicationPermissionsResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ApplicationPermissionsReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ApplicationPermissionsSetBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "permissions": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                }
            }
        },
        "v1.ApplicationPermissionsSetResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ApplicationUpdateBody": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "icon": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                }
            }
        },
        "v1.ApplicationUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.AreaData": {
            "type": "object",
            "properties": {
                "city_code": {
                    "type": "string"
                },
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                }
            }
        },
        "v1.CityData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                }
            }
        },
        "v1.CommitteeData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "street_code": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyApproveBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "回复",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "status": {
                    "description": "true 通过 false 不通过",
                    "type": "boolean"
                }
            }
        },
        "v1.CompanyApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyChangeFreeGardenBody": {
            "type": "object",
            "properties": {
                "count": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyChangeFreeGardenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyItem": {
            "type": "object",
            "properties": {
                "applicant": {
                    "description": "申请人",
                    "type": "string"
                },
                "applicant_duty": {
                    "description": "申请人职位",
                    "type": "string"
                },
                "applicant_identification": {
                    "description": "申请人身份",
                    "type": "string"
                },
                "applicant_phone": {
                    "description": "申请人电话",
                    "type": "string"
                },
                "approve_status": {
                    "description": "审核状态",
                    "type": "integer"
                },
                "approved_at": {
                    "description": "审批时间",
                    "type": "string"
                },
                "business_license": {
                    "description": "营业执照",
                    "type": "string"
                },
                "company_addr": {
                    "description": "公司地址",
                    "type": "string"
                },
                "company_name": {
                    "description": "公司名称",
                    "type": "string"
                },
                "company_phone": {
                    "description": "公司电话",
                    "type": "string"
                },
                "created_at": {
                    "description": "申请时间",
                    "type": "string"
                },
                "expire": {
                    "description": "小区有效期天",
                    "type": "integer"
                },
                "free_garden_count": {
                    "description": "免费小区个数",
                    "type": "integer"
                },
                "garden_count": {
                    "description": "已有小区个数",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "legal_person": {
                    "description": "法人",
                    "type": "string"
                },
                "license_type": {
                    "description": "营业执照类型",
                    "type": "integer"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "social_code": {
                    "description": "社会信用码",
                    "type": "string"
                },
                "username": {
                    "description": "账户名",
                    "type": "string"
                }
            }
        },
        "v1.CompanyListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "page_size": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyPackageApplicationItem": {
            "type": "object",
            "properties": {
                "content": {
                    "type": "string"
                },
                "desc": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "icon": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyPackageItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "总价",
                    "type": "integer"
                },
                "application_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyPackageApplicationItem"
                    }
                },
                "cid": {
                    "type": "integer"
                },
                "company_name": {
                    "type": "string"
                },
                "created_at": {
                    "type": "integer"
                },
                "desc": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "expire_at": {
                    "type": "integer"
                },
                "feedback": {
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "order_id": {
                    "type": "integer"
                },
                "package_id": {
                    "type": "integer"
                },
                "pay_type": {
                    "description": "1 对公转帐",
                    "type": "integer"
                },
                "period": {
                    "description": "周期",
                    "type": "integer"
                },
                "price": {
                    "description": "套餐价格",
                    "type": "integer"
                },
                "status": {
                    "description": "1 待审批 2 通过 3 未通过",
                    "type": "integer"
                }
            }
        },
        "v1.CompanyPackageListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyPackageItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyPackageListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyPackageListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyRegisterBody": {
            "type": "object",
            "properties": {
                "applicant": {
                    "description": "申请人",
                    "type": "string"
                },
                "applicant_duty": {
                    "description": "申请人职位",
                    "type": "string"
                },
                "applicant_identification": {
                    "description": "申请人身份",
                    "type": "string"
                },
                "applicant_phone": {
                    "description": "申请人电话",
                    "type": "string"
                },
                "business_license": {
                    "description": "营业执照",
                    "type": "string"
                },
                "company_addr": {
                    "description": "公司地址",
                    "type": "string"
                },
                "company_name": {
                    "description": "公司名称",
                    "type": "string"
                },
                "company_phone": {
                    "description": "公司电话",
                    "type": "string"
                },
                "free_garden_count": {
                    "description": "免费小区个数",
                    "type": "integer"
                },
                "legal_person": {
                    "description": "法人",
                    "type": "string"
                },
                "license_type": {
                    "description": "营业执照类型",
                    "type": "integer"
                },
                "password": {
                    "description": "密码",
                    "type": "string"
                },
                "social_code": {
                    "description": "社会信用码",
                    "type": "string"
                },
                "username": {
                    "description": "账户名",
                    "type": "string"
                }
            }
        },
        "v1.CompanyRegisterResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.RegisterReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyWxAccountApplyInfoReply": {
            "type": "object",
            "properties": {
                "bank_account_info": {
                    "description": "银行账号资料",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxBankAccountInfo"
                },
                "business_info": {
                    "description": "经营资料",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxBusinessInfo"
                },
                "contact_info": {
                    "description": "超管员资料",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxContactInfo"
                },
                "id": {
                    "type": "integer"
                },
                "subject_info": {
                    "description": "主体资料",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxSubjectInfo"
                }
            }
        },
        "v1.CompanyWxAccountApplyInfoResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxAccountApplyInfoReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyWxAccountApplyListItem": {
            "type": "object",
            "properties": {
                "business_code": {
                    "description": "单号",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "mch_id": {
                    "description": "商户号（申请审批成功才会有）",
                    "type": "string"
                },
                "merchant_name": {
                    "description": "申请的商户名称",
                    "type": "string"
                },
                "reason": {
                    "description": "驳回原因",
                    "type": "string"
                },
                "sign_url": {
                    "description": "二维码",
                    "type": "string"
                },
                "state": {
                    "description": "1、APPLYMENT_STATE_EDITTING（编辑中）：提交申请发生错误导致，请尝试重新提交。\n2、APPLYMENT_STATE_AUDITING（审核中）：申请单正在审核中，超级管理员用微信打开“签约链接”，完成绑定微信号后，申请单进度将通过微信公众号通知超级管理员，引导完成后续步骤。\n3、APPLYMENT_STATE_REJECTED（已驳回）：请按照驳回原因修改申请资料，超级管理员用微信打开“签约链接”，完成绑定微信号，后续申请单进度将通过微信公众号通知超级管理员。\n4、APPLYMENT_STATE_TO_BE_CONFIRMED（待账户验证）：请超级管理员使用微信打开返回的“签约链接”，根据页面指引完成账户验证。\n5、APPLYMENT_STATE_TO_BE_SIGNED（待签约）：请超级管理员使用微信打开返回的“签约链接”，根据页面指引完成签约。\n6、APPLYMENT_STATE_SIGNING（开通权限中）：系统开通相关权限中，请耐心等待。\n7、APPLYMENT_STATE_FINISHED（已完成）：商户入驻申请已完成。\n8、APPLYMENT_STATE_CANCELED（已作废）：申请单已被撤销。",
                    "type": "string"
                },
                "state_msg": {
                    "description": "状态描述",
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxAccountApplyListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyWxAccountApplyListItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.CompanyWxAccountListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxAccountApplyListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.CompanyWxBankAccountInfo": {
            "type": "object",
            "properties": {
                "account_bank": {
                    "description": "开户行",
                    "type": "string"
                },
                "account_name": {
                    "description": "开户姓名, 开户名称必须与营业执照/登记证书的“商户名称”一致",
                    "type": "string"
                },
                "account_number": {
                    "description": "银行账号",
                    "type": "string"
                },
                "bank_account_type": {
                    "type": "string"
                },
                "bank_address_code": {
                    "description": "开户银行省市编码",
                    "type": "string"
                },
                "bank_branch_id": {
                    "description": "开户银行联行号\n1、17家直连银行无需填写，如为其他银行，则开户银行全称（含支行）和开户银行联行号二选一。\n2、详细参见开户银行全称（含支行）对照表。\n示例值：402713354941",
                    "type": "string"
                },
                "bank_name": {
                    "description": "开户银行全称（含支行）\n1、17家直连银行无需填写，如为其他银行，则开户银行全称（含支行）和 开户银行联行号二选一。\n2、需填写银行全称，如\"深圳农村商业银行XXX支行\"，详细参见开户银行全称（含支行）对照表。\n示例值：施秉县农村信用合作联社城关信用社",
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxBusinessInfo": {
            "type": "object",
            "properties": {
                "merchant_shortname": {
                    "description": "1、请输入2-30个字符，支持中文/字母/数字/特殊符号\n2、在支付完成页向买家展示，需与微信经营类目相关；\n3、简称要求\n (1）不支持单纯以人名来命名，若为个体户经营，可用“个体户+经营者名称”或“经营者名称+业务”命名，如“个体户张三”或“张三餐饮店”；\n（2）不支持无实际意义的文案，如“XX特约商户”、“800”、“XX客服电话XXX”",
                    "type": "string"
                },
                "service_phone": {
                    "description": "客服电话",
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxBusinessLicenseInfo": {
            "type": "object",
            "properties": {
                "legal_person": {
                    "description": "法人姓名",
                    "type": "string"
                },
                "license_address": {
                    "type": "string"
                },
                "license_copy": {
                    "description": "营业执照图片",
                    "type": "string"
                },
                "license_copy_url": {
                    "description": "营业执照图片",
                    "type": "string"
                },
                "license_number": {
                    "description": "统一社会信用码",
                    "type": "string"
                },
                "merchant_name": {
                    "description": "营业执照上的商户名称",
                    "type": "string"
                },
                "period_begin": {
                    "type": "string"
                },
                "period_end": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxCertificateInfo": {
            "type": "object",
            "properties": {
                "cert_copy": {
                    "description": "证书图片id",
                    "type": "string"
                },
                "cert_number": {
                    "description": "证书号",
                    "type": "string"
                },
                "cert_type": {
                    "description": "当主体为事业单位时，选择此枚举值：\nCERTIFICATE_TYPE_2388：事业单位法人证书\n\n当主体为政府机关，选择此枚举值：\nCERTIFICATE_TYPE_2389：统一社会信用代码证书\n\n当主体为社会组织，选择以下枚举值之一：\nCERTIFICATE_TYPE_2389：统一社会信用代码证书\nCERTIFICATE_TYPE_2394：社会团体法人登记证书\nCERTIFICATE_TYPE_2395：民办非企业单位登记证书\nCERTIFICATE_TYPE_2396：基金会法人登记证书\nCERTIFICATE_TYPE_2397：慈善组织公开募捐资格证书(已废弃)\nCERTIFICATE_TYPE_2398：农民专业合作社法人营业执照(已废弃)\nCERTIFICATE_TYPE_2520：执业许可证/执业证\nCERTIFICATE_TYPE_2521：基层群众性自治组织特别法人统一社会信用代码证\nCERTIFICATE_TYPE_2522：农村集体经济组织登记证\nCERTIFICATE_TYPE_2399：宗教活动场所登记证\nCERTIFICATE_TYPE_2400：政府部门下发的其他有效证明文件",
                    "type": "string"
                },
                "company_address": {
                    "description": "证书上的注册地址",
                    "type": "string"
                },
                "legal_person": {
                    "description": "证书上的法人",
                    "type": "string"
                },
                "merchant_name": {
                    "description": "商户名称",
                    "type": "string"
                },
                "period_begin": {
                    "description": "证书开始时间 2006-01-02",
                    "type": "string"
                },
                "period_end": {
                    "description": "证书结束时间2006-01-02,若为长期则填长期",
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxContactInfo": {
            "type": "object",
            "properties": {
                "business_authorization_letter": {
                    "description": "授权函（当为经办人时才填）",
                    "type": "string"
                },
                "business_authorization_letter_url": {
                    "description": "授权函（当为经办人时才填）",
                    "type": "string"
                },
                "contact_email": {
                    "description": "联系人邮箱（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_doc_copy": {
                    "description": "证件正面图片id（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_doc_copy_back": {
                    "description": "证件背面图片id（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_doc_copy_back_url": {
                    "description": "证件背面图片id（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_doc_copy_url": {
                    "description": "证件正面图片id（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_doc_type": {
                    "description": "联系人证件类型（当为经办人时才填）",
                    "type": "string"
                },
                "contact_id_number": {
                    "description": "证件号（当为经办人时才填）",
                    "type": "string"
                },
                "contact_name": {
                    "description": "联系人姓名",
                    "type": "string"
                },
                "contact_period_begin": {
                    "description": "证件开始时间（当为经办人时才填）",
                    "type": "string"
                },
                "contact_period_end": {
                    "description": "证件结束时间（当为经办人时才填）",
                    "type": "string"
                },
                "contact_type": {
                    "description": "LEGAL：经营者/法人，SUPER：经办人 。",
                    "type": "string"
                },
                "mobile_phone": {
                    "description": "联系人电话（当为经办人时才填）",
                    "type": "string"
                },
                "openid": {
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxIdDocInfo": {
            "type": "object",
            "properties": {
                "doc_period_begin": {
                    "description": "开始时间",
                    "type": "string"
                },
                "doc_period_end": {
                    "description": "结束时间",
                    "type": "string"
                },
                "id_doc_address": {
                    "type": "string"
                },
                "id_doc_copy": {
                    "description": "证件图片",
                    "type": "string"
                },
                "id_doc_copy_back": {
                    "type": "string"
                },
                "id_doc_copy_back_url": {
                    "type": "string"
                },
                "id_doc_copy_url": {
                    "description": "证件图片url",
                    "type": "string"
                },
                "id_doc_name": {
                    "description": "证件姓名",
                    "type": "string"
                },
                "id_doc_number": {
                    "description": "证件号",
                    "type": "string"
                },
                "id_doc_type": {
                    "description": "IDENTIFICATION_TYPE_IDCARD：中国大陆居民-身份证\nIDENTIFICATION_TYPE_OVERSEA_PASSPORT：其他国家或地区居民-护照\nIDENTIFICATION_TYPE_HONGKONG_PASSPORT：中国香港居民-来往内地通行证\nIDENTIFICATION_TYPE_MACAO_PASSPORT：中国澳门居民-来往内地通行证\nIDENTIFICATION_TYPE_TAIWAN_PASSPORT：中国台湾居民-来往大陆通行证",
                    "type": "string"
                }
            }
        },
        "v1.CompanyWxIdentityInfo": {
            "type": "object",
            "properties": {
                "authorize_letter_copy": {
                    "description": "法定代表人说明函图片id\n1、当证件持有人类型为经办人时，必须上传。其他情况，无需上传。\n2、若因特殊情况，无法提供法定代表人证件时，请参照示例图打印法定代表人说明函，全部信息需打印，不支持手写商户信息，并加盖公章。\n3、可上传1张图片，请填写通过图片上传APIAPI预先上传图片生成好的MediaID。",
                    "type": "string"
                },
                "authorize_letter_copy_url": {
                    "type": "string"
                },
                "id_doc_info": {
                    "description": "证件信息",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxIdDocInfo"
                },
                "id_holder_type": {
                    "description": "1. 主体类型为政府机关、事业单位时选传：\n（1）若上传的是法人证件，则不需要上传该字段\n（2）若因特殊情况，无法提供法人证件时，可上传经办人。 （经办人：经商户授权办理微信支付业务的人员，授权范围包括但不限于签约，入驻过程需完成账户验证）。",
                    "type": "string"
                },
                "owner": {
                    "description": "法人是否为最终受益人",
                    "type": "boolean"
                }
            }
        },
        "v1.CompanyWxSubjectInfo": {
            "type": "object",
            "properties": {
                "business_license_info": {
                    "description": "营业执照信息",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxBusinessLicenseInfo"
                },
                "cert_info": {
                    "description": "主体为政府机关/事业单位/其他组织时，必填。",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxCertificateInfo"
                },
                "identity_info": {
                    "description": "法人身份信息",
                    "type": "object",
                    "$ref": "#/definitions/v1.CompanyWxIdentityInfo"
                },
                "subject_type": {
                    "description": "主体类型需与营业执照/登记证书上一致，可参考选择主体指引\nSUBJECT_TYPE_INDIVIDUAL（个体户）：营业执照上的主体类型一般为个体户、个体工商户、个体经营；\nSUBJECT_TYPE_ENTERPRISE（企业）：营业执照上的主体类型一般为有限公司、有限责任公司；\nSUBJECT_TYPE_INSTITUTIONS（党政、机关及事业单位）：包括国内各级、各类政府机构、事业单位等（如：公安、党团、司法、交通、旅游、工商税务、市政、医疗、教育、学校等机构）；\nSUBJECT_TYPE_OTHERS（其他组织）：不属于企业、政府/事业单位的组织机构（如社会团体、民办非企业、基金会），要求机构已办理组织机构代码证。",
                    "type": "string"
                },
                "ubo_infos": {
                    "description": "受益人身份信息，若法人不是最终受益人，该字段必填\n若经营者/法人不是最终受益所有人，则需提填写受益所有人信息。\n根据国家相关法律法规，需要提供公司受益所有人信息，受益所有人需符合至少以下条件之一：\n1、直接或者间接拥有超过25%公司股权或者表决权的自然人。\n2、通过人事、财务等其他方式对公司进行控制的自然人。\n3、公司的高级管理人员，包括公司的经理、副经理、财务负责人、上市公司董事会秘书和公司章程规定的其他人员。",
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CompanyWxIdDocInfo"
                    }
                }
            }
        },
        "v1.GardenApplicationItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "application_id": {
                    "type": "integer"
                },
                "content": {
                    "type": "string"
                },
                "created_at": {
                    "type": "integer"
                },
                "desc": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "feedback": {
                    "type": "string"
                },
                "garden_name": {
                    "type": "string"
                },
                "icon": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                },
                "order_id": {
                    "type": "integer"
                },
                "pay_type": {
                    "description": "1 对公转帐",
                    "type": "integer"
                },
                "status": {
                    "description": "1 待审批 2 通过 3 未通过",
                    "type": "integer"
                }
            }
        },
        "v1.GardenApplicationListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GardenApplicationItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenApplicationListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenApplicationListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenApproveBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "拒绝原因",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "status": {
                    "description": "true 通过 false 拒绝",
                    "type": "boolean"
                }
            }
        },
        "v1.GardenApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenChangeCompanyBody": {
            "type": "object",
            "properties": {
                "cid": {
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenChangeCompanyResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenEnableSetBody": {
            "type": "object",
            "properties": {
                "enable": {
                    "description": "true 启用 false 停用",
                    "type": "boolean"
                },
                "garden_id": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenEnableSetResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenItem": {
            "type": "object",
            "properties": {
                "appendix": {
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "area": {
                    "description": "区",
                    "type": "string"
                },
                "area_code": {
                    "type": "string"
                },
                "area_percent": {
                    "description": "容积率",
                    "type": "number"
                },
                "building_area": {
                    "description": "建筑面积",
                    "type": "number"
                },
                "building_company": {
                    "description": "开发企业",
                    "type": "string"
                },
                "building_end": {
                    "description": "建成年份结束时间戳",
                    "type": "integer"
                },
                "building_start": {
                    "description": "建成年份开始时间戳",
                    "type": "integer"
                },
                "building_type": {
                    "description": "1塔楼 2 板楼 3 塔板结合 4 其他",
                    "type": "integer"
                },
                "cid": {
                    "description": "物业公司id",
                    "type": "integer"
                },
                "city": {
                    "description": "市",
                    "type": "string"
                },
                "city_code": {
                    "type": "string"
                },
                "committee": {
                    "description": "社区",
                    "type": "string"
                },
                "committee_code": {
                    "type": "string"
                },
                "covered_area": {
                    "description": "占地面积",
                    "type": "number"
                },
                "electric_type": {
                    "description": "电费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "enable": {
                    "type": "boolean"
                },
                "expire_at": {
                    "type": "integer"
                },
                "feedback": {
                    "type": "string"
                },
                "garden_addr": {
                    "description": "小区地址",
                    "type": "string"
                },
                "garden_desc": {
                    "type": "string"
                },
                "garden_name": {
                    "description": "小区名字",
                    "type": "string"
                },
                "garden_pic": {
                    "type": "string"
                },
                "garden_pics": {
                    "description": "小区图片",
                    "type": "array",
                    "items": {
                        "type": "string"
                    }
                },
                "gas_fee_end": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "gas_fee_start": {
                    "description": "燃气费开始，单位分",
                    "type": "integer"
                },
                "green_percent": {
                    "description": "绿化率",
                    "type": "number"
                },
                "house_count": {
                    "type": "integer"
                },
                "house_count_limit": {
                    "type": "integer"
                },
                "house_total": {
                    "description": "总户数",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "in_use": {
                    "type": "boolean"
                },
                "lat": {
                    "description": "纬度",
                    "type": "number"
                },
                "lnt": {
                    "description": "经度",
                    "type": "number"
                },
                "mch_id": {
                    "type": "string"
                },
                "pay_mode": {
                    "type": "integer"
                },
                "property_fee_end": {
                    "description": "物业费结束， 单位分",
                    "type": "integer"
                },
                "property_fee_start": {
                    "description": "物业费开始，单位分",
                    "type": "integer"
                },
                "property_person": {
                    "description": "物业联系人",
                    "type": "string"
                },
                "property_phone": {
                    "description": "物业联系人手机号",
                    "type": "string"
                },
                "province": {
                    "description": "省",
                    "type": "string"
                },
                "province_code": {
                    "type": "string"
                },
                "space_info": {
                    "description": "车位配比",
                    "type": "string"
                },
                "space_total": {
                    "description": "固定车位数",
                    "type": "integer"
                },
                "status": {
                    "type": "integer"
                },
                "street": {
                    "description": "街道",
                    "type": "string"
                },
                "street_code": {
                    "type": "string"
                },
                "water_type": {
                    "description": "水费类型多选 1 民用 2 商用",
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                }
            }
        },
        "v1.GardenKeyInfoApproveBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "description": "拒绝原因",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "status": {
                    "description": "true 通过 false 拒绝",
                    "type": "boolean"
                }
            }
        },
        "v1.GardenKeyInfoApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenKeyInfoChangeListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GardenKeyInfoData"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenKeyInfoChangeListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenKeyInfoChangeListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GardenKeyInfoData": {
            "type": "object",
            "properties": {
                "cid": {
                    "type": "integer"
                },
                "feedback": {
                    "type": "string"
                },
                "garden_detail": {
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GardenKeyInfoItem"
                    }
                },
                "status": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenKeyInfoItem": {
            "type": "object",
            "properties": {
                "field_name": {
                    "type": "string"
                },
                "field_value_dst": {
                    "type": "string"
                },
                "field_value_src": {
                    "type": "string"
                }
            }
        },
        "v1.GardenListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GardenItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GardenListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GardenListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateInBody": {
            "type": "object",
            "properties": {
                "auth_key": {
                    "description": "授权key",
                    "type": "string"
                },
                "device_id": {
                    "description": "设备id",
                    "type": "string"
                },
                "device_name": {
                    "description": "设备名",
                    "type": "string"
                },
                "gate_type": {
                    "description": "1 二维码门禁 2 人脸识别门禁",
                    "type": "integer"
                },
                "manufactor": {
                    "description": "厂商",
                    "type": "string"
                },
                "protocol": {
                    "description": "协议",
                    "type": "integer"
                },
                "sn": {
                    "description": "序列号",
                    "type": "string"
                }
            }
        },
        "v1.GateInResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateItem": {
            "type": "object",
            "properties": {
                "auth_key": {
                    "description": "授权key",
                    "type": "string"
                },
                "card_support": {
                    "description": "1 支持卡 2 不支持",
                    "type": "integer"
                },
                "device_id": {
                    "description": "设备id",
                    "type": "integer"
                },
                "device_name": {
                    "description": "设备名",
                    "type": "string"
                },
                "direction": {
                    "description": "1 进场 2 出场 3 进出场",
                    "type": "integer"
                },
                "enable": {
                    "description": "true 已启用 false 已禁用",
                    "type": "boolean"
                },
                "garden_id": {
                    "description": "小区id",
                    "type": "integer"
                },
                "garden_name": {
                    "description": "小区名",
                    "type": "string"
                },
                "ip": {
                    "type": "string"
                },
                "location": {
                    "type": "string"
                },
                "mac": {
                    "type": "string"
                },
                "manufactor": {
                    "description": "厂商",
                    "type": "string"
                },
                "out_time": {
                    "description": "出库时间",
                    "type": "integer"
                },
                "out_user": {
                    "description": "出库人",
                    "type": "string"
                },
                "password": {
                    "type": "string"
                },
                "pic_support": {
                    "description": "1 支持人脸 2 不支持",
                    "type": "integer"
                },
                "port": {
                    "type": "integer"
                },
                "protocol": {
                    "description": "协议",
                    "type": "integer"
                },
                "protocol_desc": {
                    "type": "string"
                },
                "qcode_support": {
                    "description": "1支持二维码 2 不支持",
                    "type": "integer"
                },
                "sn": {
                    "description": "序列号",
                    "type": "string"
                },
                "status": {
                    "description": "1 在线 2 离线",
                    "type": "integer"
                },
                "user_name": {
                    "type": "string"
                }
            }
        },
        "v1.GateListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GateItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.GateListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateOutBody": {
            "type": "object",
            "properties": {
                "device_id": {
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                }
            }
        },
        "v1.GateOutResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.GateProtocolData": {
            "type": "object",
            "properties": {
                "card_support": {
                    "type": "integer"
                },
                "desc": {
                    "type": "string"
                },
                "face_support": {
                    "type": "integer"
                },
                "protocol": {
                    "type": "integer"
                },
                "qcode_support": {
                    "type": "integer"
                }
            }
        },
        "v1.GateProtocolsReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.GateProtocolData"
                    }
                }
            }
        },
        "v1.GateProtocolsResponse": {
            "type": "object",
            "properties": {
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.GateProtocolsReply"
                },
                "token": {
                    "description": "token",
                    "type": "string"
                },
                "userId": {
                    "description": "用户id",
                    "type": "integer"
                }
            }
        },
        "v1.GateRecoveryBody": {
            "type": "object",
            "properties": {
                "device_id": {
                    "type": "integer"
                }
            }
        },
        "v1.GateRecoveryResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.LoginBody": {
            "type": "object",
            "properties": {
                "password": {
                    "type": "string"
                },
                "user": {
                    "type": "string"
                }
            }
        },
        "v1.LoginData": {
            "type": "object",
            "properties": {
                "token": {
                    "type": "string"
                },
                "uid": {
                    "type": "integer"
                },
                "user": {
                    "type": "string"
                }
            }
        },
        "v1.LoginResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.LoginData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MaterialAddBody": {
            "type": "object",
            "properties": {
                "mtype": {
                    "type": "integer"
                },
                "pic": {
                    "type": "string"
                }
            }
        },
        "v1.MaterialAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MaterialDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MaterialEnableBody": {
            "type": "object",
            "properties": {
                "enable": {
                    "description": "1 发布 2 下架或不发布",
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.MaterialItem": {
            "type": "object",
            "properties": {
                "created_at": {
                    "type": "integer"
                },
                "enable": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "mtype": {
                    "type": "integer"
                },
                "pic": {
                    "type": "string"
                }
            }
        },
        "v1.MaterialListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MaterialItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.MaterialListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.MaterialListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MaterialUpdateBody": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                },
                "pic": {
                    "type": "string"
                }
            }
        },
        "v1.MaterialUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MsgPackageAddBody": {
            "type": "object",
            "properties": {
                "comment": {
                    "description": "套餐描述，可不填",
                    "type": "string"
                },
                "msg_count": {
                    "description": "短信条数",
                    "type": "integer"
                },
                "name": {
                    "description": "套餐名 必填",
                    "type": "string"
                },
                "price": {
                    "description": "价格",
                    "type": "integer"
                }
            }
        },
        "v1.MsgPackageAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MsgPackageDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MsgPackageItem": {
            "type": "object",
            "properties": {
                "comment": {
                    "description": "套餐描述",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "msg_count": {
                    "description": "短信条数",
                    "type": "integer"
                },
                "name": {
                    "description": "套餐名称",
                    "type": "string"
                },
                "price": {
                    "description": "套餐价格",
                    "type": "integer"
                }
            }
        },
        "v1.MsgPackageListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MsgPackageItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.MsgPackageListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.MsgPackageListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MsgPackageOrderApproveBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "type": "string"
                },
                "order_id": {
                    "type": "integer"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "v1.MsgPackageOrderApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MsgPackageOrderItem": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "订单总价",
                    "type": "integer"
                },
                "comment": {
                    "type": "string"
                },
                "created_at": {
                    "type": "integer"
                },
                "feedback": {
                    "type": "string"
                },
                "garden_id": {
                    "type": "integer"
                },
                "garden_name": {
                    "type": "string"
                },
                "msg_available_count": {
                    "description": "订单套餐短信剩余条数",
                    "type": "integer"
                },
                "msg_count": {
                    "description": "套餐短信条数",
                    "type": "integer"
                },
                "msg_total_count": {
                    "description": "订单套餐短信总条数",
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "order_id": {
                    "type": "integer"
                },
                "package_count": {
                    "description": "订单包含的套餐个数",
                    "type": "integer"
                },
                "package_id": {
                    "type": "integer"
                },
                "price": {
                    "description": "套餐单价",
                    "type": "integer"
                },
                "status": {
                    "description": "1 待审核 2 通过 3 未通过",
                    "type": "integer"
                }
            }
        },
        "v1.MsgPackageOrderListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.MsgPackageOrderItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.MsgPackageOrderListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.MsgPackageOrderListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.MsgPackageUpdateBody": {
            "type": "object",
            "properties": {
                "comment": {
                    "description": "套餐描述，可不填",
                    "type": "string"
                },
                "id": {
                    "type": "integer"
                },
                "msg_count": {
                    "description": "短信条数",
                    "type": "integer"
                },
                "name": {
                    "description": "套餐名 必填",
                    "type": "string"
                },
                "price": {
                    "description": "价格",
                    "type": "integer"
                }
            }
        },
        "v1.MsgPackageUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageAddBody": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "house_count": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageApplicationSetBody": {
            "type": "object",
            "properties": {
                "application_ids": {
                    "type": "array",
                    "items": {
                        "type": "integer"
                    }
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageApplicationSetResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageEnableSetBody": {
            "type": "object",
            "properties": {
                "enable": {
                    "type": "boolean"
                },
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageEnableSetResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageItem": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "enable": {
                    "type": "boolean"
                },
                "house_count": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.PackageItem"
                    }
                },
                "page": {
                    "type": "integer"
                },
                "total": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.PackageListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageOrderAddBody": {
            "type": "object",
            "properties": {
                "amount": {
                    "description": "单价*周期得出的总价",
                    "type": "integer"
                },
                "cid": {
                    "description": "公司id",
                    "type": "integer"
                },
                "company_name": {
                    "description": "公司名称",
                    "type": "string"
                },
                "package_id": {
                    "type": "integer"
                },
                "period": {
                    "description": "周期年",
                    "type": "integer"
                }
            }
        },
        "v1.PackageOrderAddRenewBody": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "garden_id": {
                    "type": "integer"
                },
                "package_id": {
                    "type": "integer"
                },
                "period": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageOrderAddRenewResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageOrderAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageOrderAmountBody": {
            "type": "object",
            "properties": {
                "amount": {
                    "type": "integer"
                },
                "order_id": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageOrderAmountResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageOrderApproveBody": {
            "type": "object",
            "properties": {
                "feedback": {
                    "type": "string"
                },
                "order_id": {
                    "type": "integer"
                },
                "status": {
                    "type": "boolean"
                }
            }
        },
        "v1.PackageOrderApproveResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.PackageUpdateBody": {
            "type": "object",
            "properties": {
                "desc": {
                    "type": "string"
                },
                "house_count": {
                    "type": "integer"
                },
                "id": {
                    "type": "integer"
                },
                "name": {
                    "type": "string"
                },
                "price": {
                    "type": "integer"
                }
            }
        },
        "v1.PackageUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProvinceCityAreaReply": {
            "type": "object",
            "properties": {
                "area_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.AreaData"
                    }
                },
                "city_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CityData"
                    }
                },
                "province_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.ProvinceData"
                    }
                }
            }
        },
        "v1.ProvinceCityAreaResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.ProvinceCityAreaReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.ProvinceData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.RegisterReply": {
            "type": "object",
            "properties": {
                "id": {
                    "type": "integer"
                }
            }
        },
        "v1.StreetCommitteeReply": {
            "type": "object",
            "properties": {
                "committee_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.CommitteeData"
                    }
                },
                "street_list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.StreetData"
                    }
                }
            }
        },
        "v1.StreetCommitteeResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.StreetCommitteeReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.StreetData": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                },
                "name": {
                    "type": "string"
                }
            }
        },
        "v1.SystemPermissionAddBody": {
            "type": "object",
            "properties": {
                "applete_path": {
                    "description": "小程序组件路径",
                    "type": "string"
                },
                "enable": {
                    "description": "1 发布 2 下架或不发布",
                    "type": "integer"
                },
                "name": {
                    "description": "权限名字",
                    "type": "string"
                },
                "path": {
                    "description": "组件路径",
                    "type": "string"
                },
                "pcode": {
                    "description": "父code，第一级节点父code为空",
                    "type": "string"
                },
                "router": {
                    "description": "路由",
                    "type": "string"
                }
            }
        },
        "v1.SystemPermissionAddReply": {
            "type": "object",
            "properties": {
                "code": {
                    "type": "string"
                }
            }
        },
        "v1.SystemPermissionAddResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.SystemPermissionAddReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SystemPermissionDelResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SystemPermissionEnableBody": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "权限节点code",
                    "type": "string"
                },
                "enable": {
                    "description": "1 发布 2 下架或不发布",
                    "type": "integer"
                }
            }
        },
        "v1.SystemPermissionItem": {
            "type": "object",
            "properties": {
                "applete_path": {
                    "description": "小程序组件路径",
                    "type": "string"
                },
                "childs": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SystemPermissionItem"
                    }
                },
                "code": {
                    "type": "string"
                },
                "created_at": {
                    "type": "integer"
                },
                "enable": {
                    "description": "1 已发布 2 未发布",
                    "type": "integer"
                },
                "enable_at": {
                    "type": "integer"
                },
                "level": {
                    "type": "integer"
                },
                "name": {
                    "description": "权限名字",
                    "type": "string"
                },
                "path": {
                    "description": "组件路径",
                    "type": "string"
                },
                "pcode": {
                    "description": "父code，若没有则填空",
                    "type": "string"
                },
                "router": {
                    "description": "路由",
                    "type": "string"
                }
            }
        },
        "v1.SystemPermissionListReply": {
            "type": "object",
            "properties": {
                "list": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/v1.SystemPermissionItem"
                    }
                }
            }
        },
        "v1.SystemPermissionListResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.SystemPermissionListReply"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.SystemPermissionUpdateBody": {
            "type": "object",
            "properties": {
                "applete_path": {
                    "description": "小程序组件路径",
                    "type": "string"
                },
                "code": {
                    "description": "权限节点code",
                    "type": "string"
                },
                "name": {
                    "description": "权限名字",
                    "type": "string"
                },
                "path": {
                    "description": "组件路径",
                    "type": "string"
                },
                "router": {
                    "description": "路由",
                    "type": "string"
                }
            }
        },
        "v1.SystemPermissionUpdateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TemplateData": {
            "type": "object",
            "properties": {
                "url": {
                    "type": "string"
                }
            }
        },
        "v1.TemplateResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "object",
                    "$ref": "#/definitions/v1.TemplateData"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.TokenResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                },
                "refresh_token": {
                    "type": "string"
                }
            }
        },
        "v1.UploadResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "data": {
                    "type": "string"
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        },
        "v1.WxPublicAddMiniBody": {
            "type": "object",
            "properties": {
                "mini_pagepath": {
                    "type": "string"
                },
                "mini_url": {
                    "type": "string"
                }
            }
        },
        "v1.WxPublicAddMiniResponse": {
            "type": "object",
            "properties": {
                "code": {
                    "description": "返回码",
                    "type": "integer",
                    "format": "int",
                    "default": 0
                },
                "message": {
                    "description": "消息",
                    "type": "string",
                    "default": "success"
                }
            }
        }
    }
}`

type swaggerInfo struct {
	Version     string
	Host        string
	BasePath    string
	Schemes     []string
	Title       string
	Description string
}

// SwaggerInfo holds exported Swagger Info so clients can modify it
var SwaggerInfo = swaggerInfo{
	Version:     "1.1",
	Host:        "",
	BasePath:    "",
	Schemes:     []string{},
	Title:       "Project property-management-gateway's APIs",
	Description: "This is a gateway server. On the page, you can go to do testing for every API.",
}

type s struct{}

func (s *s) ReadDoc() string {
	sInfo := SwaggerInfo
	sInfo.Description = strings.Replace(sInfo.Description, "\n", "\\n", -1)

	t, err := template.New("swagger_info").Funcs(template.FuncMap{
		"marshal": func(v interface{}) string {
			a, _ := json.Marshal(v)
			return string(a)
		},
	}).Parse(doc)
	if err != nil {
		return doc
	}

	var tpl bytes.Buffer
	if err := t.Execute(&tpl, sInfo); err != nil {
		return doc
	}

	return tpl.String()
}

func init() {
	swag.Register(swag.Name, &s{})
}
