package v1

import (
	"property-management-gateway/param/base"
	"property-management-gateway/pb/v1"
)

// 应用相关

type ApplicationAddBody struct {
	Icon    string `form:"icon" json:"icon"`
	Desc    string `form:"desc" json:"desc"`
	Name    string `form:"name" json:"name"`
	Content string `form:"content" json:"content"`
	Price   int64  `form:"price" json:"price"`
}

type ApplicationAddRequest struct {
	base.Header
	ApplicationAddBody
}

type ApplicationAddResponse struct {
	base.Result
}

type ApplicationUpdateBody struct {
	Icon    string `form:"icon" json:"icon"`
	Desc    string `form:"desc" json:"desc"`
	Name    string `form:"name" json:"name"`
	Content string `form:"content" json:"content"`
	Price   int64  `form:"price" json:"price"`
	Id      int64  `form:"id" json:"id"`
}

type ApplicationUpdateRequest struct {
	base.Header
	ApplicationUpdateBody
}

type ApplicationUpdateResponse struct {
	base.Result
}

type ApplicationDelQuery struct {
	Id int64 `form:"id"`
}

type ApplicationDelRequest struct {
	base.Header
	ApplicationDelQuery
}

type ApplicationDelResponse struct {
	base.Result
}

type ApplicationListQuery struct {
	Page      int64 `form:"page" json:"page"`
	PageSize  int64 `form:"page_size" json:"page_size"`
	Enable    int32 `form:"enable" json:"enable"`
	PackageId int64 `form:"package_id" json:"package_id"`
}
type ApplicationListRequest struct {
	base.Header
	ApplicationListQuery
}

type ApplicationListResponse struct {
	base.Result
	Data v1.ApplicationListReply `json:"data"`
}

type ApplicationEnableSetBody struct {
	// true 发布 false 下架
	Enable bool  `form:"enable" json:"enable"`
	Id     int64 `form:"id" json:"id"`
}

type ApplicationEnableSetRequest struct {
	base.Header
	ApplicationEnableSetBody
}

type ApplicationEnableSetResponse struct {
	base.Result
}

type ApplicationPermissionsSetBody struct {
	Id          int64    `form:"id" json:"id"`
	Permissions []string `form:"permissions" json:"permissions"`
}

type ApplicationPermissionsSetRequest struct {
	base.Header
	ApplicationPermissionsSetBody
}

type ApplicationPermissionsSetResponse struct {
	base.Result
}

type ApplicationPermissionsQuery struct {
	Id int64 `form:"id" json:"id"`
}
type ApplicationPermissionsRequest struct {
	base.Header
	ApplicationPermissionsQuery
}

type ApplicationPermissionsResponse struct {
	base.Result
	Data v1.ApplicationPermissionsReply `json:"data"`
}
