package v1

import (
	"property-management-gateway/param/base"
	"property-management-gateway/pb/v1"
)

type CompanyRegisterBody struct {
	// 申请人
	Applicant string `form:"applicant,proto3" json:"applicant"`
	// 申请人电话
	ApplicantPhone string `form:"applicant_phone" json:"applicant_phone"`
	// 公司名称
	CompanyName string `form:"company_name" json:"company_name"`
	// 公司电话
	CompanyPhone string `form:"company_phone" json:"company_phone"`
	// 申请人职位
	ApplicantDuty string `form:"applicant_duty" json:"applicant_duty"`
	// 法人
	LegalPerson string `form:"legal_person" json:"legal_person"`
	// 公司地址
	CompanyAddr string `form:"company_addr" json:"company_addr"`
	// 社会信用码
	SocialCode string `form:"social_code" json:"social_code"`
	// 营业执照
	BusinessLicense string `form:"business_license" json:"business_license"`
	// 申请人身份
	ApplicantIdentification string `form:"applicant_identification" json:"applicant_identification"`
	// 营业执照类型
	LicenseType int32 `form:"license_type" json:"license_type"`
	// 免费小区个数
	FreeGardenCount int32 `form:"free_garden_count" json:"free_garden_count"`
	// 账户名
	Username string `form:"username" json:"username"`
	// 密码
	Password string `form:"password" json:"password"`
}

type CompanyRegisterRequest struct {
	base.Header
	CompanyRegisterBody
}

type CompanyRegisterResponse struct {
	base.Result
	Data v1.RegisterReply `json:"data"`
}

type CompanyApproveBody struct {
	Id int64 `form:"id" json:"id"`
	// true 通过 false 不通过
	Status bool `form:"status" json:"status"`
	// 回复
	Feedback string `form:"feedback" json:"feedback"`
}
type CompanyApproveRequest struct {
	base.Header
	CompanyApproveBody
}

type CompanyApproveResponse struct {
	base.Result
}

type CompanyListQuery struct {
	Page          int64  `form:"page"`
	PageSize      int64  `form:"page_size" json:"page_size"`
	CompanyName   string `form:"company_name" json:"company_name"`
	ApproveStatus int32  `form:"approve_status" json:"approve_status"`
}
type CompanyListRequest struct {
	base.Header
	CompanyListQuery
}

type CompanyListResponse struct {
	base.Result
	Data v1.CompanyListReply `json:"data"`
}

type CompanyChangeFreeGardenBody struct {
	Id    int64 `form:"id"`
	Count int32 `form:"count"`
}

type CompanyChangeFreeGardenRequest struct {
	base.Header
	CompanyChangeFreeGardenBody
}

type CompanyChangeFreeGardenResponse struct {
	base.Result
}

type CompanyWxAccountListQuery struct {
	Page     int64 `form:"page"`
	PageSize int64 `form:"page_size"`
}
type CompanyWxAccountListRequest struct {
	base.Header
	CompanyWxAccountListQuery
}

type CompanyWxAccountListResponse struct {
	base.Result
	Data v1.CompanyWxAccountApplyListReply `json:"data"`
}

type CompanyWxAccountApplyInfoQuery struct {
	Id int64 `form:"id"`
}

type CompanyWxAccountApplyInfoRequest struct {
	base.Header
	CompanyWxAccountApplyInfoQuery
}

type CompanyWxAccountApplyInfoResponse struct {
	base.Result
	Data v1.CompanyWxAccountApplyInfoReply `json:"data"`
}

/*
type CompanyMchIdSetBody struct {
	MchId              int32    `form:"mch_id" json:"mch_id"`
	Cid int64 `form:"cid" json:"cid"`
}
type CompanyMchIdSetRequest struct {
	base.Header
	CompanyMchIdSetBody
}

type CompanyMchIdSetResponse struct {
	base.Result
}
*/

type CompanyWxAccountApproveBody struct {
	// 资料记录id
	Id int64 `form:"id" json:"id"`
	// 公司id
	Cid int64 `form:"cid" json:"cid"`
	// 回复，审核未通过时必填
	Feedback string `form:"feedback" json:"feedback"`
	// 商户号
	MchId string `form:"mch_id" json:"mch_id"`
	// true 通过 false 不通过
	Status bool `form:"status" json:"status"`
}

type CompanyWxAccountApproveRequest struct {
	base.Header
	CompanyWxAccountApproveBody
}

type CompanyWxAccountApproveResponse struct {
	base.Result
}
