package v1

import (
	"property-management-gateway/param/base"
	"property-management-gateway/pb/v1"
)

type GardenListQuery struct {
	CommitteeCode string `form:"committee_code" json:"committee_code"`
	StreetCode    string `form:"street_code" json:"street_code"`
	NotApproved   bool   `form:"not_approved" json:"not_approved"`
	GardenName    string `form:"garden_name" json:"garden_name"`
	Page          int64  `form:"page" json:"page"`
	PageSize      int64  `form:"page_size" json:"page_size"`
}

type GardenListRequest struct {
	base.Header
	GardenListQuery
}

type GardenListResponse struct {
	base.Result
	Data v1.GardenListReply `json:"data"`
}

type GardenChangeCompanyBody struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
	Cid      int64 `form:"cid" json:"cid"`
}
type GardenChangeCompanyRequest struct {
	base.Header
	GardenChangeCompanyBody
}

type GardenChangeCompanyResponse struct {
	base.Result
}

type GardenKeyInfoChangeListQuery struct {
	Page     int64 `form:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Status   int32 `form:"status" json:"status"`
}
type GardenKeyInfoChangeListRequest struct {
	base.Header
	GardenKeyInfoChangeListQuery
}

type GardenKeyInfoChangeListResponse struct {
	base.Result
	Data v1.GardenKeyInfoChangeListReply `json:"data"`
}

type GardenKeyInfoApproveBody struct {
	Id int64 `form:"id"`
	// true 通过 false 拒绝
	Status bool `form:"status"`
	// 拒绝原因
	Feedback string `form:"feedback"`
}

type GardenKeyInfoApproveRequest struct {
	base.Header
	GardenKeyInfoApproveBody
}

type GardenKeyInfoApproveResponse struct {
	base.Result
}

type GardenApproveBody struct {
	Id int64 `form:"id"`
	// true 通过 false 拒绝
	Status bool `form:"status"`
	// 拒绝原因
	Feedback string `form:"feedback"`
}

type GardenApproveRequest struct {
	base.Header
	GardenApproveBody
}

type GardenApproveResponse struct {
	base.Result
}

type GardenEnableSetBody struct {
	// true 启用 false 停用
	Enable   bool  `form:"enable" json:"enable"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}

type GardenEnableSetRequest struct {
	base.Header
	GardenEnableSetBody
}

type GardenEnableSetResponse struct {
	base.Result
}
