package v1

import (
	"property-management-gateway/param/base"
	"property-management-gateway/pb/v1"
)

type GateProtocolsRequest struct {
	base.Header
}

type GateProtocolsResponse struct {
	base.Header
	Data v1.GateProtocolsReply `json:"data"`
}

type GateInBody struct {
	// 设备id
	DeviceId string `form:"device_id" json:"device_id"`
	// 设备名
	DeviceName string `form:"device_name" json:"device_name"`
	// 序列号
	Sn string `form:"sn" json:"sn"`
	// 厂商
	Manufactor string `form:"manufactor" json:"manufactor"`
	// 授权key
	AuthKey string `form:"auth_key" json:"auth_key"`
	// 1 二维码门禁 2 人脸识别门禁
	GateType int32 `form:"gate_type" json:"gate_type"`
	// 协议
	Protocol int32 `form:"protocol" json:"protocol"`
}

type GateInRequest struct {
	base.Header
	GateInBody
}

type GateInResponse struct {
	base.Result
}

type GateOutBody struct {
	DeviceId int64 `form:"device_id" json:"device_id"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
}
type GateOutRequest struct {
	base.Header
	GateOutBody
}
type GateOutResponse struct {
	base.Result
}

type GateListQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	// 1 已出库 2 未出库
	Out int32  `form:"out" json:"out"`
	Sn  string `form:"sn" json:"sn"`
}
type GateListRequest struct {
	base.Header
	GateListQuery
}

type GateListResponse struct {
	base.Result
	Data v1.GateListReply `json:"data"`
}

type GateRecoveryBody struct {
	DeviceId int64 `form:"device_id" json:"device_id"`
}
type GateRecoveryRequest struct {
	base.Header
	GateRecoveryBody
}
type GateRecoveryResponse struct {
	base.Result
}

type GateDelQuery struct {
	DeviceId int64 `form:"device_id" json:"device_id"`
}

type GateDelRequest struct {
	base.Header
	GateDelQuery
}

type GateDelResponse struct {
	base.Result
}

type TemplateRequest struct {
	base.Header
}

type TemplateData struct {
	Url string `json:"url"`
}

type TemplateResponse struct {
	base.Result
	Data TemplateData `json:"data"`
}
