package v1

import (
	"property-management-gateway/param/base"
	"property-management-gateway/pb/v1"
)

type MaterialAddBody struct {
	Mtype int32  `form:"mtype" json:"mtype"`
	Pic   string `form:"pic" json:"pic"`
}

type MaterialAddRequest struct {
	base.Header
	MaterialAddBody
}

type MaterialAddResponse struct {
	base.Result
}

type MaterialUpdateBody struct {
	Id  int64  `form:"id" json:"id"`
	Pic string `form:"pic" json:"pic"`
}

type MaterialUpdateRequest struct {
	base.Header
	MaterialUpdateBody
}

type MaterialUpdateResponse struct {
	base.Result
}

type MaterialDelQuery struct {
	Id int64 `form:"id" json:"id"`
}
type MaterialDelRequest struct {
	base.Header
	MaterialDelQuery
}

type MaterialDelResponse struct {
	base.Result
}

type MaterialListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
}
type MaterialListRequest struct {
	base.Header
	MaterialListQuery
}

type MaterialListResponse struct {
	base.Result
	Data v1.MaterialListReply `json:"data"`
}

type MaterialEnableBody struct {
	Id int64 `form:"id" json:"id"`

	// 1 发布 2 下架或不发布
	Enable int32 `form:"enable" json:"enable"`
}

type MaterialEnableRequest struct {
	base.Header
	MaterialEnableBody
}

type MaterialEnableResponse struct {
	base.Result
}
