package v1

import (
	"property-management-gateway/param/base"
	"property-management-gateway/pb/v1"
)

// 套餐相关
type MsgPackageAddBody struct {
	// 套餐名 必填
	Name string `form:"name" json:"name"`
	// 套餐描述，可不填
	Comment string `form:"comment" json:"comment"`
	// 价格
	Price int64 `form:"price" json:"price"`
	// 短信条数
	MsgCount int64 `form:"msg_count" json:"msg_count"`
}

type MsgPackageAddRequest struct {
	base.Header
	MsgPackageAddBody
}

type MsgPackageAddResponse struct {
	base.Result
}

type MsgPackageUpdateBody struct {
	// 套餐名 必填
	Name string `form:"name" json:"name"`
	// 套餐描述，可不填
	Comment string `form:"comment" json:"comment"`
	// 价格
	Price int64 `form:"price" json:"price"`
	// 短信条数
	MsgCount int64 `form:"msg_count" json:"msg_count"`
	Id       int64 `form:"id" json:"id"`
}

type MsgPackageUpdateRequest struct {
	base.Header
	MsgPackageUpdateBody
}

type MsgPackageUpdateResponse struct {
	base.Result
}

type MsgPackageDelQuery struct {
	Id int64 `form:"id"`
}

type MsgPackageDelRequest struct {
	base.Header
	MsgPackageDelQuery
}

type MsgPackageDelResponse struct {
	base.Result
}

type MsgPackageListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
}

type MsgPackageListRequest struct {
	base.Header
	MsgPackageListQuery
}

type MsgPackageListResponse struct {
	base.Result
	Data v1.MsgPackageListReply `json:"data"`
}
