package v1

import (
	"property-management-gateway/param/base"
	v1 "property-management-gateway/pb/v1"
)

// 应用相关

type ApplicationOrderApproveBody struct {
	OrderId  int64  `form:"order_id" json:"order_id"`
	Status   bool   `form:"status" json:"status"`
	Feedback string `form:"feedback" json:"feedback"`
}

type ApplicationOrderApproveRequest struct {
	base.Header
	ApplicationOrderApproveBody
}

type ApplicationOrderApproveResponse struct {
	base.Result
}

type GardenApplicationListQuery struct {
	GardenId int64 `form:"garden_id" json:"garden_id"`
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Status   int32 `form:"status" json:"status"`
}

type GardenApplicationListRequest struct {
	base.Header
	GardenApplicationListQuery
}

type GardenApplicationListResponse struct {
	base.Result
	Data v1.GardenApplicationListReply `json:"data"`
}

// 套餐订单相关

type PackageOrderApproveBody struct {
	OrderId  int64  `form:"order_id" json:"order_id"`
	Status   bool   `form:"status" json:"status"`
	Feedback string `form:"feedback" json:"feedback"`
}

type PackageOrderApproveRequest struct {
	base.Header
	PackageOrderApproveBody
}

type PackageOrderApproveResponse struct {
	base.Result
}

type CompanyPackageListQuery struct {
	Cid      int64 `form:"cid"`
	GardenId int64 `form:"garden_id" json:"garden_id"`
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Status   int32 `form:"status" json:"status"`
}

type CompanyPackageListRequest struct {
	base.Header
	CompanyPackageListQuery
}

type CompanyPackageListResponse struct {
	base.Result
	Data v1.CompanyPackageListReply `json:"data"`
}

type PackageOrderAddBody struct {
	// 公司id
	Cid int64 `form:"cid" json:"cid"`

	PackageId int64 `form:"package_id" json:"package_id"`
	// 单价*周期得出的总价
	Amount int64 `form:"amount" json:"amount"`
	// 周期年
	Period int64 `form:"period" json:"period"`
	// 公司名称
	CompanyName string `form:"company_name" json:"company_name"`
}

type PackageOrderAddRequest struct {
	base.Header
	PackageOrderAddBody
}

type PackageOrderAddResponse struct {
	base.Result
}

type PackageOrderAddRenewBody struct {
	GardenId  int64 `form:"garden_id" json:"garden_id"`
	PackageId int64 `form:"package_id" json:"package_id"`
	Amount    int64 `form:"amount" json:"amount"`
	Period    int64 `form:"period" json:"period"`
}

type PackageOrderAddRenewRequest struct {
	base.Header
	PackageOrderAddRenewBody
}

type PackageOrderAddRenewResponse struct {
	base.Result
}

type ApplicationOrderAmountBody struct {
	OrderId int64 `form:"order_id" json:"order_id"`
	Amount  int64 `form:"amount"`
}

type ApplicationOrderAmountRequest struct {
	base.Header
	ApplicationOrderAmountBody
}

type ApplicationOrderAmountResponse struct {
	base.Result
}

type PackageOrderAmountBody struct {
	OrderId int64 `form:"order_id" json:"order_id"`
	Amount  int64 `form:"amount"`
}

type PackageOrderAmountRequest struct {
	base.Header
	PackageOrderAmountBody
}

type PackageOrderAmountResponse struct {
	base.Result
}

type MsgPackageOrderListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Status   int32 `form:"status" json:"status"`
}

type MsgPackageOrderListRequest struct {
	base.Header
	MsgPackageOrderListQuery
}

type MsgPackageOrderListResponse struct {
	base.Result
	Data v1.MsgPackageOrderListReply `json:"data"`
}

type MsgPackageOrderApproveBody struct {
	OrderId  int64  `form:"order_id" json:"order_id"`
	Status   bool   `form:"status" json:"status"`
	Feedback string `form:"feedback" json:"feedback"`
}

type MsgPackageOrderApproveRequest struct {
	base.Header
	MsgPackageOrderApproveBody
}

type MsgPackageOrderApproveResponse struct {
	base.Result
}
