package v1

import (
	"property-management-gateway/param/base"
	"property-management-gateway/pb/v1"
)

// 套餐相关
type PackageAddBody struct {
	Name       string `form:"name" json:"name"`
	Desc       string `form:"desc" json:"desc"`
	Price      int64  `form:"price" json:"price"`
	HouseCount int64  `form:"house_count" json:"house_count"`
}

type PackageAddRequest struct {
	base.Header
	PackageAddBody
}

type PackageAddResponse struct {
	base.Result
}

type PackageUpdateBody struct {
	Name       string `form:"name" json:"name"`
	Desc       string `form:"desc" json:"desc"`
	Price      int64  `form:"price" json:"price"`
	HouseCount int64  `form:"house_count" json:"house_count"`
	Id         int64  `form:"id" json:"id"`
}

type PackageUpdateRequest struct {
	base.Header
	PackageUpdateBody
}

type PackageUpdateResponse struct {
	base.Result
}

type PackageDelQuery struct {
	Id int64 `form:"id"`
}

type PackageDelRequest struct {
	base.Header
	PackageDelQuery
}

type PackageDelResponse struct {
	base.Result
}

type PackageListQuery struct {
	Page     int64 `form:"page" json:"page"`
	PageSize int64 `form:"page_size" json:"page_size"`
	Enable   int32 `form:"enable" json:"enable"`
}

type PackageListRequest struct {
	base.Header
	PackageListQuery
}

type PackageListResponse struct {
	base.Result
	Data v1.PackageListReply `json:"data"`
}

type PackageEnableSetBody struct {
	Enable bool  `form:"enable" json:"enable"`
	Id     int64 `form:"id" json:"id"`
}

type PackageEnableSetRequest struct {
	base.Header
	PackageEnableSetBody
}

type PackageEnableSetResponse struct {
	base.Result
}

type PackageApplicationSetBody struct {
	Id             int64   `form:"id" json:"id"`
	ApplicationIds []int64 `form:"application_ids" json:"application_ids"`
}

type PackageApplicationSetRequest struct {
	base.Header
	PackageApplicationSetBody
}

type PackageApplicationSetResponse struct {
	base.Result
}
