package v1

import (
	"property-management-gateway/param/base"
	"property-management-gateway/pb/v1"
)

type SystemPermissionAddBody struct {
	// 父code，第一级节点父code为空
	Pcode string `form:"pcode" json:"pcode"`

	// 权限名字
	Name string `form:"name" json:"name"`
	// 组件路径
	Path string `form:"path" json:"path"`
	// 小程序组件路径
	AppletePath string `form:"applete_path" json:"applete_path"`
	// 路由
	Router string `form:"router" json:"router"`

	// 1 发布 2 下架或不发布
	Enable int32 `form:"enable" json:"enable"`
}

type SystemPermissionAddRequest struct {
	base.Header
	SystemPermissionAddBody
}

type SystemPermissionAddResponse struct {
	base.Result
	Data v1.SystemPermissionAddReply `json:"data"`
}

type SystemPermissionUpdateBody struct {
	// 权限节点code
	Code string `form:"code" json:"code"`

	// 权限名字
	Name string `form:"name" json:"name"`
	// 组件路径
	Path string `form:"path" json:"path"`
	// 小程序组件路径
	AppletePath string `form:"applete_path" json:"applete_path"`
	// 路由
	Router string `form:"router" json:"router"`
}

type SystemPermissionUpdateRequest struct {
	base.Header
	SystemPermissionUpdateBody
}

type SystemPermissionUpdateResponse struct {
	base.Result
}

type SystemPermissionDelQuery struct {
	Code string `form:"code" json:"code"`
}
type SystemPermissionDelRequest struct {
	base.Header
	SystemPermissionDelQuery
}

type SystemPermissionDelResponse struct {
	base.Result
}

type SystemPermissionListRequest struct {
	base.Header
}

type SystemPermissionListResponse struct {
	base.Result
	Data v1.SystemPermissionListReply `json:"data"`
}

type SystemPermissionEnableBody struct {
	// 权限节点code
	Code string `form:"code" json:"code"`

	// 1 发布 2 下架或不发布
	Enable int32 `form:"enable" json:"enable"`
}

type SystemPermissionEnableRequest struct {
	base.Header
	SystemPermissionEnableBody
}

type SystemPermissionEnableResponse struct {
	base.Result
}
